## org.jboss.netty.channel
Interface ExceptionEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultExceptionEvent

    public interface ExceptionEvent

extends ChannelEvent

A `ChannelEvent` which represents the notification of an exception raised by a `ChannelHandler` or an I/O thread. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`Throwable` `getCause()` Returns the raised exception.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getChannel, getFuture`

Method Detail

### getCause

    Throwable getCause()

  Returns the raised exception.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.